.\" 
.\" Copyright 1991-1998 by Open Software Foundation, Inc. 
.\"              All Rights Reserved 
.\"  
.\" Permission to use, copy, modify, and distribute this software and 
.\" its documentation for any purpose and without fee is hereby granted, 
.\" provided that the above copyright notice appears in all copies and 
.\" that both the copyright notice and this permission notice appear in 
.\" supporting documentation. 
.\"  
.\" OSF DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE 
.\" INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
.\" FOR A PARTICULAR PURPOSE. 
.\"  
.\" IN NO EVENT SHALL OSF BE LIABLE FOR ANY SPECIAL, INDIRECT, OR 
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM 
.\" LOSS OF USE, DATA OR PROFITS, WHETHER IN ACTION OF CONTRACT, 
.\" NEGLIGENCE, OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION 
.\" WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. 
.\" 
.\"
.\" Mach Operating System
.\" Copyright (c) 1991,1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\" 
.\" CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS 
.\" CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
.\" ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
.\" 
.\" Carnegie Mellon requests users of this software to return to
.\" 
.\"  Software Distribution Coordinator  or  Software.Distribution@CS.CMU.EDU
.\"  School of Computer Science
.\"  Carnegie Mellon University
.\"  Pittsburgh PA 15213-3890
.\" 
.\" any improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" cmk1.1
.\" Revision 2.3  91/03/19  12:32:57  mrt
.\" 	Changed to new copyright
.\" 
.\" Revision 2.2  90/09/12  16:33:24  rpd
.\" 	Created.
.\" 	[90/06/18            rpd]
.\" 
.TH VMREAD 1 6/18/90
.CM 4
.SH NAME
vmread \- read a task's address space
.SH SYNOPSIS
\fBvmread\fP [\fB-host\fP machine] taskid addr words
.SH DESCRIPTION
\fIvmread(1)\fR reads and displays a task's address space.
The \fItaskid\fP argument, a MachID, specifies the task.
The \fIaddr\fP argument is a hexadecimal number
specifying the starting address.
The \fIwords\fP argument is a hexadecimal number
specifying the number of words of memory to read.
.PP
\fIvmread\fR displays the memory using ASCII, four words per line.
.PP
\fIvmread\fR must run as root or a member of group kmem
to gain access to the target task.
.PP
\fIvmread\fP interprets the following options:
.TP 8
.B \-host \fImachine\fR
Directs the inquiry to the \fImachid(1)\fR server running
on the specified machine.
.SH "SEE ALSO"
ms(1), vminfo(1), machid(1)
